Skip to main content
GET
/
v1
/
nomenclature
Get all nomenclature
curl --request GET \
  --url https://api.nomi.tools/v1/nomenclature \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "nomenclature": [
    {
      "name": "<string>",
      "type": "product",
      "unitId": "<string>",
      "id": "<string>",
      "categoryId": "<string>",
      "externalId": "<string>",
      "notes": "<string>",
      "sku": "<string>",
      "defaultSellingPrice": 123,
      "defaultSellingCurrencyId": "<string>",
      "averagePriceCurrencyId": "<string>",
      "legalEntityId": "<string>",
      "dateOfReceipt": "2023-12-25",
      "initialStockQuantity": 123,
      "averagePrice": 123,
      "isArchived": true,
      "isIgnoreCostRecalc": true
    }
  ],
  "meta": {},
  "defaultCurrency": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Query Parameters

pagination
object

Response

200 - application/json

List of nomenclature

nomenclature
object[]
meta
object
defaultCurrency
object